svn_auth_get_parameter
svn_cat
SVN Funktionen
PHP Manual

# svn_auth_set_parameter

(PECL svn:0.1-0.2)

svn_auth_set_parameter — Sets an authentication parameter

### Beschreibung

void svn_auth_set_parameter ( string `$key` , string `$value` )

Sets authentication parameter at `key` to `value` . For a list of valid keys and their meanings, consult the authentication constants list.

### Parameter-Liste

`key`

  String key name. Use the authentication constants defined by this extension to specify a key.

`value`

  String value to set to parameter at key. Format of value varies with the parameter.

### Rückgabewerte

Es wird kein Wert zurückgegeben.

### Anmerkungen

Warnung

Diese Funktion ist EXPERIMENTELL. Das Verhalten, der Funktionsname und alles Andere was hier dokumentiert ist, kann sich in zukünftigen PHP-Versionen ohne Ankündigung ändern. Seien Sie gewarnt und verwenden Sie diese Funktion auf eigenes Risiko.

### Beispiele

Beispiel #1 Default authentication example

This example configures SVN so that the default username to use is 'Bob' and the default password is 'abc123':

`<?php
svn_auth_set_parameter(SVN_AUTH_PARAM_DEFAULT_USERNAME, 'Bob');
svn_auth_set_parameter(SVN_AUTH_PARAM_DEFAULT_PASSWORD, 'abc123');
?>`

### Siehe auch

- svn_auth_get_parameter()
- Authentication constants

svn_auth_get_parameter
svn_cat
SVN Funktionen
PHP Manual